Bug 831635 - [abrt] supertux-0.3.3-7.fc17: __memcpy_ssse3_back: Process /usr/bin/supertux2 was killed by signal 11 (SIGSEGV)
[abrt] supertux-0.3.3-7.fc17: __memcpy_ssse3_back: Process /usr/bin/supertux2...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: supertux (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Steven Pritchard
Fedora Extras Quality Assurance
abrt_hash:97b77ac7a93079608d1ebff7c80...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-13 09:37 EDT by Gao Xiang
Modified: 2013-08-01 07:01 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 07:01:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (145.22 KB, text/plain)
2012-06-13 09:37 EDT, Gao Xiang
no flags Details
File: maps (35.31 KB, text/plain)
2012-06-13 09:38 EDT, Gao Xiang
no flags Details
File: dso_list (7.23 KB, text/plain)
2012-06-13 09:38 EDT, Gao Xiang
no flags Details

  None (edit)
Description Gao Xiang 2012-06-13 09:37:39 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        supertux2
crash_function: __memcpy_ssse3_back
executable:     /usr/bin/supertux2
kernel:         3.4.0-1.fc17.x86_64
pid:            4076
pwd:            /home/gaoxiang/Documents
time:           Wed 13 Jun 2012 08:21:13 PM CST
uid:            1000
username:       gaoxiang
var_log_messages: Jun 13 20:21:15 localhost abrt[6510]: Saved core dump of pid 4076 (/usr/bin/supertux2) to /var/spool/abrt/ccpp-2012-06-13-20:21:13-4076 (133287936 bytes)

backtrace:      Text file, 148704 bytes
dso_list:       Text file, 7403 bytes
maps:           Text file, 36156 bytes

build_ids:
:877685c5afa0faf0e43ad65f21587f699edcc04d
:fc13956ed359736e6a145d384f112723fd62f20d
:f58f7f7a0f2c00780839246fd972e56e971e27d8
:72c9d0e973ad7f3b20f3883a199878da7f52c39f
:cd6934c7ffdc10b4626f8a94336de83eb989545e
:c2f5ae8bd64df0fc996cf96b95525a8f8fb28fd2
:b8bfc491895389962d926fdc99cbfbac571f2cf0
:9d49f2f604fdc7a787f63c16cc08353956f2fd41
:458118a56e4684bd51c51aee74e26a15161da7e3
:b6d75088f555d197be1476cb1c580640826ae029
:0339e448510e66ad611e6f5df08565db4fe4bc23
:aaa1236e690a9d2f230ade4b8d4387c22200ba9f
:5b4f3d35b4612be98f2bbb635b3eabf0ee7e437d
:f1c5764c91642a33bec2d4ba5adbefc196cc8d60
:07d2432f2cea31e902ec19ecdc72dde8df873864
:9f238793be8e8d02a8be090c76698415f848c3e7
:ff5a0c299ee54a2580475ad0d6cae351ec6cd4f6
:fad2d57f73db1d2b51917a93ac42fb4e1308b141
:8f1ba572f27dfd702830fb5690824afb32c5f89f
:b34676a7754197b3aa0ab7fba51844207d644e8d
:b277af36744327e3d58eae76bcdaadcca71a28c6
:0e1267a4d81de05f053eeed7f2f61fb46cda9e7c
:a497cd9ac2be9958779ffb17869baa7062bf4466
:f64b7319b84d426ed547084bdb2577f4f596c18f
:e91010b497ec024178c36f4365b21f668bada0ca
:1a262290abc47e43b15d179c909c389831958b90
:1b7abd5c8129b91c0ca4f0f0812e61660236fd38
:ee7538132f578365c0774ef7dc789d8cba51aff7
:0aba7ec92cfe9227831c913e3ea7ccdc85c701e1
:4504beabd434c4e335d484b890a6adf1f8d995f6
:2bb4233f99d067f8ffdd860ab1cbb64fea92acbe
:e230907ff55938fac70d429bf9784c52f054ebc6
:edad49230923d07f38eaae337455a0d56f535f11
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65
:56bd853f29677ab520cc846a64d6be4503a1a643
:3ceb7308b934fe54cf5bb93d12663bcaf4de6473
:127f8958b602715234a02b88adb08afd9e34c203
:350920b52e92655cdb258fa5f96fe7004ad07a52
:3d60535f052babb998bae4807bc992c5d15df5c4
:51d06992e253701f74114977ee983ae3cd479f0e
:516204cfc31148538d56b21e2f1b945ed50127d4
:92a26ae19d0be2b5859c8b97e0dce6ff5b7b8b69
:7b2764ec751ee57e9ba0827d2b16039549841179
:c4ec0971b2dcee71aaf8374975474054245fea00
:130699b76d99d57ef46beeed9d693005f3c8917f
:00ab653044d47d504dd49135aff0306483c4c103
:af945724af42823d8f3ee175768dcb912e3c25a0
:d17c17f3f72a7be495972cb776828638bc9d9d30
:915e1b6a9e9b38aaf13a1d647d11751c3de5301b
:67792c148d2b8f13f6732c9367e926c26d7376c5
:73777e822e00ca152ffca281ab0ace0cb498ec48
:404cbecd24d186758ed474b345313da28b2990fa
:8f1c8e7a9290087a1de608de917e41455f885af0
:7654433afd142a4699559f45f290cd0bcfb0f2d6
:3f0991d9a4679b6bdd8a78ab2d05ecf4cc995651
:d804f8ee47797da9213a92f00cd095ecada8d79f
:a5e9feb403af75fa2c762f7246a365af4a2e1834
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff
:1dbad667ccf4b57aca057808b8a4a0871960b54f
:4d09d82785dab5f95c01b69bc0785145a5954d30
:d789c08e9d240290a0a39e4654150029e152929f
:f4f9ce91c43285df84177f9684a3e7f190a0aae1
:1555b1de25ee9aa6770b016dc6b0fc0372c073bd
:87163e16f54ab421bb34433e983acb30eb0c109f
:6947e315f0765bf884ecc222d91945a1e2ed8767
:1309cbb736c7f597bc49f83e638fde856bfc0e11
:d32cbeacfd9f41e3cd29b697dd111f44a2d9c127
:44174defe79b7afeae13d84e8fd127af1fd1b939
:10db86ab9481dc0e2bd0f0c4c987e86a8a1d9a8b
:a79b7927d90b0f6cb4150c88c9a2a7fcd14a170b
:54a5cc118d928470da13565de8592b664a9868e0
:ef8b8d492b07f4bb141fc3c32bc3bbf1c4c45275
:5dd234206476b0387cd251598aa72a2c95c763c5
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:822e9b3523e8312240f41a25722d539bc77ed436
:318ff47751c8144098e1808396ab73dd48c1e7b4
:1d4df97fa6024b097b634a272447243c95c26d85
:091927b7a315243a2ff0383dfca1fd2c665405bf
:46eb8c83b266e03b4d2d37c5ac56accdee78c113
:5bf8427ddeff24a2bd36962f68e6af6ffe14970f
:247132297f287226a24c12e683292f5c94013066
:9d4e5b3f8f09e1fefc36a48c68dacc06276be529
:2d920fc18d5d62c399484534249b104e12049777
:8139bf56878106b2e87b44b235b5813a0894898a

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/gaoxiang/1

core_backtrace:
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x146608 __memcpy_ssse3_back libc.so.6 -
:516204cfc31148538d56b21e2f1b945ed50127d4 0xbd3e2 std::string::_Rep::_M_clone(std::allocator<char> libstdc++.so.6 -
:516204cfc31148538d56b21e2f1b945ed50127d4 0xbdaec std::basic_string<char, libstdc++.so.6 -
:d17c17f3f72a7be495972cb776828638bc9d9d30 0x1083c3 LevelIntro::draw(DrawingContext&) [exe] -
:d17c17f3f72a7be495972cb776828638bc9d9d30 0xdb324 ScreenManager::draw(DrawingContext&) [exe] -
:d17c17f3f72a7be495972cb776828638bc9d9d30 0xdbb34 ScreenManager::run(DrawingContext&) [exe] -
:d17c17f3f72a7be495972cb776828638bc9d9d30 0xde9c8 Main::run(int, [exe] -
:d17c17f3f72a7be495972cb776828638bc9d9d30 0x5c993 main [exe] -

environ:
:XDG_VTNR=1
:KDE_MULTIHEAD=false
:SSH_AGENT_PID=1052
:XDG_SESSION_ID=1
:DM_CONTROL=/var/run/xdmctl
:HOSTNAME=localhost.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:DESKTOP_STARTUP_ID=localhost.localdomain;1339587587;892849;1207_TIME2883149
:TERM=dumb
:SHELL=/bin/bash
:XDG_MENU_PREFIX=kde4-
:XDM_MANAGED=method=classic
:HISTSIZE=1000
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/gaoxiang/.gtkrc-2.0:/home/gaoxiang/.gtkrc-2.0-kde4:/home/gaoxiang/.kde/share/config/gtkrc-2.0
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/gaoxiang/.gtkrc:/home/gaoxiang/.kde/share/config/gtkrc
:GS_LIB=
:KDE_FULL_SESSION=true
:IMSETTINGS_MODULE=FCITX
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=gaoxiang
:SSH_AUTH_SOCK=/tmp/ssh-wLsIeFwXT950/agent.950
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1159,unix/unix:/tmp/.ICE-unix/1159
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/home/gaoxiang/.local/bin:/home/gaoxiang/bin
:DESKTOP_SESSION=default
:MAIL=/var/spool/mail/gaoxiang
:QT_IM_MODULE=fcitx
:PWD=/home/gaoxiang/Documents
:XMODIFIERS=@im=fcitx
:LANG=en_US.UTF-8
:KDE_IS_PRELINKED=1
:KDE_SESSION_UID=1000
:KDEDIRS=/usr
:HISTCONTROL=ignoredups
:SSH_ASKPASS=/usr/bin/ksshaskpass
:HOME=/home/gaoxiang
:XDG_SEAT=seat0
:SHLVL=2
:KDE_SESSION_VERSION=4
:XCURSOR_THEME=default
:LOGNAME=gaoxiang
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-WwiidYrjf0,guid=993d77cafe099002016a876000000153
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/gaoxiang
:QT_PLUGIN_PATH=/home/gaoxiang/.kde/lib64/kde4/plugins/:/usr/lib64/kde4/plugins/:/usr/lib/kde4/plugins
:GTK_IM_MODULE=fcitx
:XAUTHORITY=/tmp/kde-gaoxiang/xauth-1000-_0

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 45973                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       45973                45973                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:pipe:[21654]
:1:/home/gaoxiang/.xsession-errors
:2:/home/gaoxiang/.xsession-errors

smolt_data:
:
:
:General
:=================================
:UUID: 96e5cd58-ecc5-4c75-8bcd-fc2dd88fe554
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5319.81
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5 CPU       M 480  @ 2.67GHz
:CPU Stepping: 5
:CPU Family: 6
:CPU Model Num: 37
:Number of CPUs: 4
:CPU Speed: 2667
:System Memory: 5768
:System Swap: 16383
:Vendor: LENOVO
:System: IdeaPad Y460 Rev 1.0
:Form factor: Notebook
:Kernel: 3.4.0-1.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:68:6058:14622) pci, agpgart-intel, HOST/PCI, Core Processor DRAM Controller
:(32902:69:6058:14623) pci, pcieport, PCI/PCI, Core Processor PCI Express x16 Root Port
:(32902:15152:6058:14527) pci, None, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:15145:6058:14529) pci, ahci, STORAGE, 5 Series/3400 Series Chipset 4 port SATA AHCI Controller
:(32902:15113:6058:14526) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(32902:15154:6058:14528) pci, intel ips, NONE, 5 Series/3400 Series Chipset Thermal Subsystem
:(5348:5778:6058:14543) pci, tg3, ETHERNET, NetLink BCM57780 Gigabit Ethernet PCIe
:(32902:9288:6058:14399) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:15164:6058:14506) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15156:6058:14520) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15204:6058:8543) pci, None, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(6523:9096:6058:14627) pci, jmb38x_ms, BASE, MS Host Controller
:(6523:9094:6058:14626) pci, sdhci-pci, BASE, Standard SD Host Controller
:(6523:9095:6058:14625) pci, None, BASE, SD/MMC Host Controller
:(6523:9097:6058:14628) pci, None, BASE, xD Host Controller
:(32902:70:6058:14700) pci, i915, VIDEO, Core Processor Integrated Graphics Controller
:(32902:15176:6058:14515) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 4
:(32902:15170:6058:14512) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15172:6058:14513) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 2
:(32902:15178:6058:14516) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 5
:(32902:15190:6058:14511) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(4318:3050:6058:14700) pci, snd_hda_intel, MULTIMEDIA, GF108 High Definition Audio Controller
:(4318:3568:6058:14700) pci, nouveau, VIDEO, N/A
:(32902:11521:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:11362:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(32902:132:32902:4885) pci, iwlwifi, NETWORK, Centrino Wireless-N 1000 BGN
:(32902:11537:32902:32902) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(32902:11536:32902:32902) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11539:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:(32902:11538:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda3 / ext4 4096 4096 26187711 22556887 22294787 6553600 6250315 6250315
:/dev/sda7 /home ext4 4096 4096 70635051 54798099 51262330 17686528 17673235 17673235
:

xsession_errors:
:[INFO] /builddir/build/BUILD/supertux-0.3.3/src/supertux/main.cpp:223 [/home/gaoxiang/.supertux2] is in the search path
:[INFO] /builddir/build/BUILD/supertux-0.3.3/src/supertux/main.cpp:223 [/usr//share/supertux2] is in the search path
Comment 1 Gao Xiang 2012-06-13 09:37:54 EDT
Created attachment 591503 [details]
File: backtrace
Comment 2 Gao Xiang 2012-06-13 09:38:03 EDT
Created attachment 591504 [details]
File: maps
Comment 3 Gao Xiang 2012-06-13 09:38:09 EDT
Created attachment 591505 [details]
File: dso_list
Comment 4 Fedora End Of Life 2013-07-03 23:28:07 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-08-01 07:01:59 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.